; Cuadrado.asm
; Dibuja un cuadrado en la línea 11, columna 15.
org	$8000		; Dirección de memoria donde se carga el programa

Cuadrado:
ld	b, $0a		; Carga en B la coordenada Y
ld	c, $0e		; Carga en C la coordenada X
call	GetPointerCoord	; Obtiene la dirección de memoria correspondiente

ld	(hl), $ff	; Dibuja el inicio del cuadrado

; En los siguientes 6 scanlines, se dibuja lo mismo
ld	b, $06
Loop:
inc	h		; Avanza al siguiente scanline
ld	(hl), $81	; Dibuja en pantalla . .
djnz	Loop		; Se repite seis veces

inc	h		; Avanza al último scanline
ld	(hl), $ff	; Dibuja el final del cuadrado

call	Scroll		; Hace el scroll

include	"Scroll.asm"	; Incluye el fichero Scroll.asm para poder
			; llamar a las rutinas GetPointerCoord y Scroll

end	$8000